Skip to main content
POST
/
api
/
v1
/
org
/
{organizationUuid}
/
email-whitelabel
/
verify
Error
A valid request URL is required to generate request examples
{
  "results": {
    "createdAt": "2023-11-07T05:31:56Z",
    "lastCheckedAt": "2023-11-07T05:31:56Z",
    "dnsRecords": [
      {
        "verified": true,
        "value": "<string>",
        "name": "<string>"
      }
    ],
    "isEnabled": true,
    "isVerified": true,
    "returnPathVerified": true,
    "dkimVerified": true,
    "fromName": "<string>",
    "fromEmail": "<string>",
    "domain": "<string>",
    "organizationUuid": "<string>"
  },
  "status": "ok"
}
{
  "error": {
    "name": "<string>",
    "statusCode": 123,
    "data": "<unknown>",
    "message": "<string>"
  },
  "status": "error"
}

Path Parameters

organizationUuid
string<uuid>
required

Stringified UUIDv4. See RFC 4112

Pattern: [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}

Response

Ok

results
object | null
required

The full sender-identity configuration for an organization, as returned to the setup UI. null from the API means the org has not started setup.

status
enum<string>
required
Available options:
ok